[ Новые сообщения · Участники · Правила форума · Поиск · RSS ]
Страница 1 из 212»
Форум Panda3D - по русски » Panda3D » Для начинающих » Приложение не было запущено... (не запускается панда)
Приложение не было запущено...
MNSEДата: Среда, 17.06.2009, 02:06 | Сообщение # 1
Рядовой
Группа: Пользователи
Сообщений: 13
Награды: 0
Репутация: 0
Статус: Offline
Я делал пример по созданию Деццкий сад, через питон запустил F9 и мне выдало такое Приложение не было запущено, поскольку оно некорректно настроено Что мне делать подскажите пожалуйста, всю установку делал как описывалось в быстром старте???
 
ninthДата: Среда, 17.06.2009, 08:17 | Сообщение # 2
Admin
Группа: Администраторы
Сообщений: 1555
Награды: 5
Репутация: 46
Статус: Offline
Версия панды какая?
Какая ОС?
Если можно, кинь скрин с ошибкой.
 
MNSEДата: Пятница, 19.06.2009, 00:39 | Сообщение # 3
Рядовой
Группа: Пользователи
Сообщений: 13
Награды: 0
Репутация: 0
Статус: Offline
Quote (ninth)
Версия панды какая? Какая ОС? Если можно, кинь скрин с ошибкой.

Panda3D 1.6.2 ОС XP SP2
Прикрепления: 4600983.jpg(169Kb)
 
ninthДата: Пятница, 19.06.2009, 08:08 | Сообщение # 4
Admin
Группа: Администраторы
Сообщений: 1555
Награды: 5
Репутация: 46
Статус: Offline
Попробуй поставь NetFramework 3.5 или используй версию 1.5.4
 
MNSEДата: Суббота, 20.06.2009, 00:54 | Сообщение # 5
Рядовой
Группа: Пользователи
Сообщений: 13
Награды: 0
Репутация: 0
Статус: Offline
Поставил NetFramework 3.5 ничего не вышло все также осталось, а можно работать в панде не через питон может получиться?
 
FertoVordalastrДата: Суббота, 20.06.2009, 05:41 | Сообщение # 6
Сержант
Группа: Пользователи
Сообщений: 28
Награды: 0
Репутация: 0
Статус: Offline
че я увидел - он вроде на какую то конвертилку в ОБЖ ругается... хотя, не уверен...
а так:
1) на кой 2 включения GeoMipTerrain? питон не ругается на двойные?
2) два метода после инициализации должны вроде как быть методами класса, следовательно после создания экземпляра иметь доступ к классовым методам и свойствам... а они идут у тебя отдельными методами и даже не знают, что то что они называют терраин является ГеоМипом, пытаясь работать с ним как с обычным объектом...

думаю, выглядеть должно так:

Code

# -*- coding: utf_8 -*-
from pandac.PandaModules import GeoMipTerrain, Filename

class gameLocation():   
      def __init__(self):   
          self.terrain=GeoMipTerrain("Terrain")
          taskMgr.add(self.update,'location_update')
      def loadTerrain(self,hfFile):   
          self.terrain.setHeightfield(Filename(hfFile))   
          self.terrain.setBlockSize(32)   
          se lf.ter rain.setFactor(64)   
          self.terrain.setMinLevel(2)   
          self.terrain.getRoot().reparentTo(render)   
          self.terrain.ge tRoot( ).setSz (30)   
          self.terrain.generate()   
          self.terrain.setFocalPoint(base.camera)
      def update(self,task):   
          self.terrain.update()   
          #self.terrain.getRoot().setRenderModeWireframe()   
          return task.cont  


Сообщение отредактировал FertoVordalastr - Суббота, 20.06.2009, 05:43
 
ninthДата: Понедельник, 22.06.2009, 08:02 | Сообщение # 7
Admin
Группа: Администраторы
Сообщений: 1555
Награды: 5
Репутация: 46
Статус: Offline
Не, тут проблема не в коде - я уже сталкивался с похожей ошибкой. MNSE, Запускаешь случаем не на ноуте?
 
FertoVordalastrДата: Понедельник, 22.06.2009, 09:29 | Сообщение # 8
Сержант
Группа: Пользователи
Сообщений: 28
Награды: 0
Репутация: 0
Статус: Offline
блин... и правда... хотя, код все равно странный был.
я на ноуте запускаю и все норм 0.о
 
ninthДата: Понедельник, 22.06.2009, 16:54 | Сообщение # 9
Admin
Группа: Администраторы
Сообщений: 1555
Награды: 5
Репутация: 46
Статус: Offline
Не всякий ноут. Последняя версия панды, например, напрочь отказывается дружить с моим стареньким Compaq EVO, хотя на стационаре всё прекрасно работает, зато 1.5.4 запускается везде. На офф форуме тоже видел похожие вопросы
-------------------------------
Хмм... там кое-что новое появилось - приду, проверю предположение, тогда отпишусь.
 
MNSEДата: Пятница, 26.06.2009, 02:50 | Сообщение # 10
Рядовой
Группа: Пользователи
Сообщений: 13
Награды: 0
Репутация: 0
Статус: Offline
Да, у меня ноут

Добавлено (26.06.2009, 02:50)
---------------------------------------------
Теперь я установил версию 1.5.4 , панда пошла, но при быстром старте я сделал ярлык на питона, и он не запускается, ничего понять не могу, тогда панда не работала теперь питон не запускается

 
ninthДата: Пятница, 26.06.2009, 03:11 | Сообщение # 11
Admin
Группа: Администраторы
Сообщений: 1555
Награды: 5
Репутация: 46
Статус: Offline
Вроде запустил на ноуте - установил vcredist_x86-sp1
 
MNSEДата: Пятница, 26.06.2009, 04:13 | Сообщение # 12
Рядовой
Группа: Пользователи
Сообщений: 13
Награды: 0
Репутация: 0
Статус: Offline
Теперь все заработало, только выдает ошибку

Добавлено (26.06.2009, 04:13)
---------------------------------------------
При этом урок Hello World работает, может я затупил и какую-нибудь ошибку сделал??? А так панда очень нравится, думаю остановлю свой выбор на ней, а то уже столько движков перебрал в поисках biggrin

Прикрепления: 9588818.jpg(118Kb)
 
FertoVordalastrДата: Пятница, 26.06.2009, 06:14 | Сообщение # 13
Сержант
Группа: Пользователи
Сообщений: 28
Награды: 0
Репутация: 0
Статус: Offline
а файл __init__.py в папку модулей добавил?
 
MNSEДата: Четверг, 02.07.2009, 04:16 | Сообщение # 14
Рядовой
Группа: Пользователи
Сообщений: 13
Награды: 0
Репутация: 0
Статус: Offline
Все получилось, просто в коде были ошибки и еще не нравилось название тексуры
 
ЙакудДата: Понедельник, 28.09.2009, 01:25 | Сообщение # 15
Рядовой
Группа: Пользователи
Сообщений: 1
Награды: 0
Репутация: 0
Статус: Offline
Вот у меня точно такая же ошибка! как я понял, нужна попробывать панду 1.5.4 скачать?
 
Форум Panda3D - по русски » Panda3D » Для начинающих » Приложение не было запущено... (не запускается панда)
Страница 1 из 212»
Поиск: